Package org.eclipse.mat.parser.internal.snapshot

# Class HistogramBuilder

java.lang.Object
org.eclipse.mat.snapshot.HistogramRecord
org.eclipse.mat.parser.internal.snapshot.HistogramBuilder

All Implemented Interfaces:
  `Serializable`

public class HistogramBuilder extends HistogramRecord

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.mat.snapshot.HistogramRecord

`COMPARATOR_FOR_LABEL, COMPARATOR_FOR_NUMBEROFOBJECTS, COMPARATOR_FOR_RETAINEDHEAPSIZE, COMPARATOR_FOR_USEDHEAPSIZE`

## Constructor Summary

Constructors
Constructor
Description
`HistogramBuilder(String label)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int classId, int objectId, long heapSize)`
`void`
`put(ClassHistogramRecord record)`
`Histogram`
`toHistogram(SnapshotImpl snapshot, boolean isDefaultHistogram)`

### Methods inherited from class org.eclipse.mat.snapshot.HistogramRecord

`getLabel, getNumberOfObjects, getRetainedHeapSize, getUsedHeapSize, incNumberOfObjects, incNumberOfObjects, incRetainedHeapSize, incUsedHeapSize, reverseComparator, setLabel, setNumberOfObjects, setRetainedHeapSize, setUsedHeapSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistogramBuilder

public HistogramBuilder(String label)

## Method Details

### put

public void put(ClassHistogramRecord record)

### add

public void add(int classId, int objectId, long heapSize)

### toHistogram

public Histogram toHistogram(SnapshotImpl snapshot, boolean isDefaultHistogram) throws SnapshotException

Throws:
  `SnapshotException`